Package com.pixelmed.anatproc

## Class Concept

- java.lang.Object
- - com.pixelmed.anatproc.Concept

- Direct Known Subclasses:
    `CodedConcept`

      public class Concept
      extends java.lang.Object

  This class represents a concept that is uniquely identifiable.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `conceptUniqueIdentifier` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Concept()` |
    `` | `Concept​(java.lang.String conceptUniqueIdentifier)` | Create a concept.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` | Indicates whether some other object is "equal to" this one.
    `java.lang.String` | `getConceptUniqueIdentifier()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### conceptUniqueIdentifier

          protected java.lang.String conceptUniqueIdentifier

  - ### Constructor Detail

    - #### Concept

          public Concept​(java.lang.String conceptUniqueIdentifier)

      Create a concept.

      Parameters:
        `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`

    - #### Concept

          protected Concept()

  - ### Method Detail

    - #### getConceptUniqueIdentifier

          public java.lang.String getConceptUniqueIdentifier()

    - #### equals

          public boolean equals​(java.lang.Object o)

      Indicates whether some other object is "equal to" this one.

      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `o` - the reference object with which to compare.
      Returns:
        true if the same object or different objects with equal values of conceptUniqueIdentifier

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`